Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs | Functions
partition_copy.hpp File Reference

## Typedefs
template<typename I , typename O0 , typename O1 >
using | ranges::partition_copy_result = detail::in_out1_out2_result< I, O0, O1 >

## Functions
template<typename I , typename S , typename O0 , typename O1 , typename C , typename P = identity>
partition_copy_result< I, O0, O1 > | ranges::partition_copy (I first, S last, O0 o0, O1 o1, C pred, P proj=P{})
| function template `partition_copy` More...
template<typename Rng , typename O0 , typename O1 , typename C , typename P = identity>
partition_copy_result< borrowed_iterator_t< Rng >, O0, O1 > | ranges::partition_copy (Rng &&rng, O0 o0, O1 o1, C pred, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...